Summary: A multi-purpose desktop calculator for GNU/Linux
Name: qalculate-kde
Version: 0.9.5
Release: 1%{?dist}
License: GPL
Group: Applications/Engineering
URL: http://qalculate.sourceforge.net/
Source0: http://dl.sf.net/qalculate/qalculate-kde-%{version}.tar.gz
BuildRoot: %{_tmppath}/qalculate-kde-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libqalculate-devel, kdelibs-devel, gettext
BuildRequires: automake16, autoconf
Requires: gnuplot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting.

This package provides a QT/KDE graphical interface for Qalculate! 

%prep
%setup -q 

%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure --disable-rpath
make %{?_smp_mflags}
										
%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original \
	--vendor fedora					\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
        %{buildroot}%{_datadir}/applications/kde/qalculate_kde.desktop

%find_lang qalculate_kde || touch qalculate_kde.lang
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
	for lang_dir in %{buildroot}$HTML_DIR/* ; do
		lang=$(basename $lang_dir)
		echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> qalculate_kde.lang
	done
fi

rm -rf %{buildroot}/%{_bindir}/qalculate

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f qalculate_kde.lang
%defattr(-, root, root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/qalculate-kde
%{_datadir}/applications/fedora-qalculate_kde.desktop
%{_datadir}/apps/qalculate_kde/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/actions/*

%changelog
* Tue Jan 02 2007 Deji Akingunola <dakingun@gmail.com> - 0.9.5-1
- New release

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.4-3
- Rebuild for FC6

* Mon Jul 24 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.4-2
- Add another BR on autoconf and automake16

* Wed Jun 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.4-1
- New version 0.9.4

* Thu Mar 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.3.1-2
- Update the icons location

* Thu Mar 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.3.1-1
- Update to newer version

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.2-2
- Rebuild for Fedora Extras 5

* Tue Dec 27 2005 Deji Akingunola <dakingun@gmail.com> - 0.9.2-1
- Upgrade to new version

* Sat Nov 05 2005 Deji Akingunola <dakingun@gmail.com> - 0.9.0-1
- Upgrade to new version

* Thu Oct 13 2005 Paul Howarth <paul@city-fan.org> - 0.8.2-2
- Rationalise buildreqs and runtime dependencies
- Rationalise desktop entries
- Use standard Fedora Extras idioms for QT env setup & file lists
- Add %%clean section
- Don't generate rpaths
- Don't include empty TODO file

* Tue Oct 11 2005 Deji Akingunola <deji.aking@gmail.com> - 0.8.2-1
- Upgraded to new version
- Install the desktop file
- Miscellaneous spec file cleanup

* Wed Oct 05 2005 Deji Akingunola <deji.aking@gmail.com> - 0.8.1.1
- Initial package
